> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Gitea Integration

> Create or update Gitea integration for a project



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi post /gitea-integration/project/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /gitea-integration/project/{projectId}:
    post:
      tags:
        - Gitea
      summary: Create Gitea Integration
      description: Create or update Gitea integration for a project
      operationId: createGiteaIntegration
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                baseUrl:
                  type: string
                  minLength: 1
                accessToken:
                  type: string
                repositoryOwner:
                  type: string
                  minLength: 1
                repositoryName:
                  type: string
                  minLength: 1
              required:
                - baseUrl
                - repositoryOwner
                - repositoryName
      responses:
        '200':
          description: Integration saved
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  baseUrl:
                    type: string
                  repositoryOwner:
                    type: string
                  repositoryName:
                    type: string
                  maskedAccessToken:
                    type: string
                  webhookUrl:
                    type: string
                  webhookSecret:
                    type: string
                  branchPattern:
                    type: string
                  commentTaskLinkOnGiteaIssue:
                    type: boolean
                  isActive:
                    type: boolean
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - projectId
                  - baseUrl
                  - repositoryOwner
                  - repositoryName
                  - maskedAccessToken
                  - isActive
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````